Bug 1125 - Can\'t install SysVinit-2.84-alt2.i586.rpm while using DevFS
: Can\'t install SysVinit-2.84-alt2.i586.rpm while using DevFS
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/SysVinit)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-22 15:42 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-22 15:42:55
Причина - содержащийся в пакете файл \"/dev/initctl\".
DevFS, монтированная в /dev не позволяет создавать на себе файлы.
---
На системе с версией SysVinit < 2.84-alt2 (например, Master 2.0)
1) Включить использование devfs в  ядре и оставить ее монтироваться по
умолчанию в /dev.
2) попытаться инсталлировать SysVinit-2.84-alt2.i586.rpm
---
Обход проблемы: 
инсталлировать командой \"rpm -Uvh SysVinit-2.84-alt2.i586.rpm
--excludepath=/dev\"
Возможное решение - в случае использования DevFS не копировать /dev/initctl,
т.к., если я понимаю правильно, он создается автоматически.
------- Comment #1 From 2002-08-05 15:52:16 -------
А как же он создается, если в /dev/ нельзя создавать объекты?
------- Comment #2 From 2002-08-05 15:52:16 -------
А как же он создается, если в /dev/ нельзя создавать объекты?
------- Comment #3 From 2002-08-06 22:02:13 -------
Should be fixed in SysVinit-2.84-alt3.
------- Comment #4 From 2002-08-06 22:02:13 -------
Should be fixed in SysVinit-2.84-alt3.
------- Comment #5 From 2002-09-29 01:35:05 -------
Closing resolved problem report...
------- Comment #6 From 2002-09-29 01:35:05 -------
Closing resolved problem report...